Package org.apache.sysds.runtime.compress.bitmap

# Class Bitmap

java.lang.Object
org.apache.sysds.runtime.compress.bitmap.ABitmap
org.apache.sysds.runtime.compress.bitmap.Bitmap

public final class Bitmap extends ABitmap
Uncompressed representation of one or more columns in bitmap format.

## Method Summary

Modifier and Type
Method
Description
`int`
`getNumColumns()`
Get the number of columns encoded in this bitmap
`final int`
`getNumNonZerosInOffset(int idx)`
Get the number of non zeros in a specific offset's tuple value.
`final double[]`
`getValues()`
Get all values without unnecessary allocations and copies.

### Methods inherited from class org.apache.sysds.runtime.compress.bitmap.ABitmap

`containsZero, getNumOffsets, getNumOffsets, getNumValues, getNumZeros, getOffsetList, getOffsetsList, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getValues

public final double[] getValues()
Get all values without unnecessary allocations and copies.

Returns:
  Dictionary of distinct values

### getNumNonZerosInOffset

public final int getNumNonZerosInOffset(int idx)
Description copied from class: `ABitmap`
Get the number of non zeros in a specific offset's tuple value.

Specified by:
  `getNumNonZerosInOffset` in class `ABitmap`
Parameters:
  `idx` - The offset index to look at.
Returns:
  The nnz in the tuple.

### getNumColumns

public int getNumColumns()
Description copied from class: `ABitmap`
Get the number of columns encoded in this bitmap

Specified by:
  `getNumColumns` in class `ABitmap`
Returns:
  The column count